/**
 *
 *	<b>PointerTest.java</b><br>
 *	
 *	Driver class
 *	Name:
 *	Course:
 *	Section: 
 *  Last Modified:
 *  Known Bugs:
 */


import java.io.*;

public class PointTest  {

		/**
		 *	tests the Point model. (both constructors, and the 
 		 *	methods set, getMinutes, getX, getY, add, distance<br>
 		 *	toString (implicitly)<br>
 		 *	<br>
 		 *	Uses InteractiveIO class to handle console I/O
 		 */	
	
	public static void main(String args[]) throws Exception {
	
		InteractiveIO io = new InteractiveIO();
			
		String xStr = io.promptAndRead("Enter the x value: ");
		String yStr = io.promptAndRead("Enter the y value: ");
		
		io.writeln(); // print a blank line
		Point p1 = new Point(); // creates a new point.. uses the default constructor
		p1.set(xStr, yStr);     // sets the point values to xstr and ystr
		io.writeln("p1: " + p1);// prints the coordinates of P1
		
		io.writeln();
		int xInt = 5;
		int yInt = -5;
		
		Point p2 = new Point(xInt, yInt); // creates a new point using specific constructor
		io.writeln("p2: " + p2);
		
		io.writeln();
		Point p3 = p1.add(p2);  // p3 = p1 + p2
		// Point p4 = p2.add(p1); // p4 = p4 = p2 + p1
		io.writeln("p3: " + p3);
		
		io.writeln();
		io.writeln("Distance from p1 to p3 is " + p3.distance(p1));

	}
}
